[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinterCanvas.NewPage

Performs actions needed when a new page is started.

## Declaration

Source position: printers.pas line 115

`public procedure TPrinterCanvas.NewPage; virtual;`

## Description

NewPage is procedure used to perform actions needed when a new page is started. NewPage increments the value in the PageNumber property, and calls the BeginPage method prior to exit.

NewPage is called from the TPrinter.NewPage method.

## See also

TPrinterCanvas.BeginPage |  | Performs actions needed when a page is started.
TPrinterCanvas.EndPage |  | Performs actions needed when a page is completed.
TPrinterCanvas.PageNumber |  | The number for the current page in the printer canvas.
TPrinter.NewPage |  | Creates a new page for the current document.